use anyhow::Result;

use crate::repo::Storage;

impl Storage {
    pub async fn set_room_topic(&mut self, id: u32, topic: &str) -> Result<()> {
        let mut executor = self.conn.lock().await;
        sqlx::query(
            "update rooms
            set topic = ?
            where id = ?;",
        )
        .bind(topic)
        .bind(id)
        .fetch_optional(&mut *executor)
        .await?;

        Ok(())
    }
}
